hadoop2.7 本地库问题

我的电脑是ubuntu14.10, 64位的.安装hadoop2.7之后总是会有这个问题

WARN util.NativeCodeLoader: Unable to load native-hadoop library for your platform... using builtin-java classes where applicable

看网上说,hadoop包含的是本地库是32位的,但是我到lib/native目录里用file命令查看,
libhadoop.so.1.0 是64位的啊.下边是file libhadoop.so.1.0.0的输出信息

libhadoop.so.1.0.0: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked, BuildID[sha1]=ed024ac48c0f542fa36ddc918a75c51e1c647424, not stripped

看官网上也是说随着发行的是32位的本地库..为什么我查看的结果是64的?

另外还有个问题,编译hadoop的时候,编译一会,总是卡在

main:
[mkdir] Created dir: /home/cirfe/download/hadoop-2.6.0-src/hadoop-common-project/hadoop-kms/downloads
[get] Getting: http://archive.apache.org/dist/tomcat/tomcat-6/v6.0.41/bin/apache-tomcat-6.0.41.tar.gz
[get] To: /home/cirfe/download/hadoop-2.6.0-src/hadoop-common-project/hadoop-kms/downloads/apache-tomcat-6.0.41.tar.gz

就编译不下去了,一直卡在这里.
请教大神这几个问题怎么解决?

查看全部
l108103t
Cirfe
2015/07/07 12:56
  • 本地库
  • hadoop
  • 64位
  • 32位
  • 点赞
  • 收藏
  • 回答
    私信

1个回复